E-MailRelay

Classes | Namespaces | Typedefs | Functions
gcleanup_unix.cpp File Reference
`#include "gdef.h"`
`#include "gcleanup.h"`
`#include "gprocess.h"`
`#include "groot.h"`
`#include "glog.h"`
`#include <cstring>`
`#include <csignal>`
`#include <array>`

Go to the source code of this file.

## Classes
class | G::CleanupImp
| A static implementation class used by G::Cleanup. More...

## Namespaces
namespace | G
| Low-level classes.

## Typedefs
using | Handler = void(*)(int)

## Functions
void | gcleanup_handler (int signum)

## Typedef Documentation

## ◆ Handler

using Handler = void (*)(int)

Definition at line 33 of file gcleanup_unix.cpp.

## Function Documentation

## ◆ gcleanup_handler()

void gcleanup_handler | ( | int | signum | ) |

Definition at line 262 of file gcleanup_unix.cpp.